<!DOCTYPE html>

<html lang="en">
    
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <h1>Reto de clase</h1>

    <div>
        
        <h3 for="jtext">Marca de Auto </h3>
        <input type="text" id="jtext">
        
        <br><br>

        <button id="add" class="add">Agregar</button>
        <button id="delFirst" class="delFirst">Eliminar el primer</button>
        <button id="delLast" class="delLast">Eliminar el ultimo</button>
        <h4>Marcas</h4>
        <ul id="List">

        </ul>

    </div>

    <script>
        let lista = [];
        document.getElementById('add').addEventListener('click', () =>{
            document.getElementById("List").innerHTML ="";
            let aux = document.getElementById("jtext").value;
            lista.push(aux);
            mostrar();
        })

        document.getElementById('delFirst').addEventListener('click', () =>{
            lista.shift();
            document.getElementById("List").innerHTML ="";
            mostrar();
        })

        document.getElementById('delLast').addEventListener('click', () =>{
            lista.pop();
            document.getElementById("List").innerHTML ="";
            mostrar();
        })

        function mostrar(){
            for(let i=0;i<lista.length;i++) {
                document.getElementById("List").innerHTML +='<li>' + lista[i] +'</li>';
            }
        }

    </script>
</body>

</html>